Bug 123393 - improper default config for pkgToInstallNotUpdate
improper default config for pkgToInstallNotUpdate
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 19:02 EDT by Jack Neely
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-24 17:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2004-05-17 19:02:01 EDT
Description of problem:
The default config file tries to do the right thing about enabling the
only install...never upgrade functionality of some packages.

According to the Fedora Package Naming Guidelines any package that
provides "kernel-module" should be given the above functionality. 
However, the config option for pkgToInstallNotUpdate states
"kernel-modules".

The config file option is wrong, it should be singular -- NOT plural.

Version-Release number of selected component (if applicable):
up2date-4.2.14-1

I'm trying to enable this feature for NCSU's OpenAFS kernel modules
used with RHEL.

From the Package Naming Guidelines:

Special "Provides" .spec lines:
Each kernel module .spec must have the following "Provides" lines.
Provides: kernel-module
Provides: kernel-module-%{name} = %{epoch}:%{version}-%{release}

The first "Provides" line will be used by package managers as an
identifier so it knows to give special treatment to this package.
Comment 1 Adrian Likins 2004-05-24 17:53:28 EDT
The fedora guidelines are wrong. That option was added to
make the kernel-unsupported package from RHEL3 work correctly,
and it provides "kernel-modules" not "kernel-module"

Note You need to log in before you can comment on or make changes to this bug.